# norootforbuild

%define peardir %(pear config-get php_dir 2> /dev/null)
%define xmldir  %{_var}/lib/pear

Name:				php5-pear-soap
Version:			0.11.0
Release:			1.1
Summary:			SOAP Client/Server for PHP
License:			PHP License
Group:			Productivity/Networking/Web/Servers
Url:				http://pear.php.net/package/SOAP
Source0:			http://pear.php.net/get/SOAP-%{version}.tgz
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Packager:		Marcus Hüwe <suse-tux@gmx.de>

PreReq:			php5-pear
Requires:		php5-pear-http_request, php5-pear-mail, php5-pear-mail_mime
Requires:		php5-pear-net_dime
BuildRequires:	php5-pear

%description
Implementation of SOAP protocol and services.

Authors:
--------
	Jan Schneider
	Shane Caraveo
	Al Baker
	Chuck Hagenbuch
	Arnaud Limbourg

%prep
%setup -c -T
pear -v -c pearrc \
		  -d php_dir=%{peardir} \
		  -d doc_dir=/docs \
   	  -d bin_dir=%{_bindir} \
		  -d data_dir=%{peardir}/data \
		  -d test_dir=%{peardir}/tests \
		  -d ext_dir=%{_libdir} \
		  -s

%build
%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}
%__mv %{buildroot}/docs .

# Install XML package description
%__mkdir_p %{buildroot}%{xmldir}
%__tar -xzf %{SOURCE0} package.xml
%__cp package.xml %{buildroot}%{xmldir}/SOAP.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/SOAP.xml

%postun
if [ "$1" -eq "0" ]; then
	pear uninstall --nodeps --ignore-errors --register-only pear.php.net/SOAP
fi

%files
%defattr(-, root, root)
%doc docs/SOAP
%dir %{peardir}/SOAP
%dir %{peardir}/SOAP/Server
%dir %{peardir}/SOAP/Transport
%dir %{peardir}/SOAP/Type
%dir %{peardir}/SOAP/tools
%{peardir}/SOAP/*.php
%{peardir}/SOAP/Server/*.php
%{peardir}/SOAP/Transport/*.php
%{peardir}/SOAP/Type/*.php
%{peardir}/SOAP/tools/genproxy.php
%{_var}/lib/pear/SOAP.xml


%changelog
* Wed Oct 24 2007 Marcus Hüwe <suse-tux@gmx.de>
- initial build
